"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var strings_1 = require("../../strings");
var createNewNotebookCommonProperties_1 = require("./createNewNotebookCommonProperties");
var createNewNotebookRowTemplate_1 = require("./createNewNotebookRowTemplate");
var errorIconWithPopover_1 = require("../errorIconWithPopover");
var CreateNewNotebookErrorRenderStrategy = /** @class */ (function (_super) {
    __extends(CreateNewNotebookErrorRenderStrategy, _super);
    // We don't listen for enter as we assume that we want the user to change the name before
    // re-attempting the create
    function CreateNewNotebookErrorRenderStrategy(errorMessage, notebookNameInputValue, onChangeBinded, setInputToNotStarted) {
        var _this = _super.call(this) || this;
        _this.errorMessage = errorMessage;
        _this.notebookNameInputValue = notebookNameInputValue;
        _this.onChangeBinded = onChangeBinded;
        _this.setInputToNotStarted = setInputToNotStarted;
        _this.onClickBinded = function () { };
        return _this;
    }
    CreateNewNotebookErrorRenderStrategy.prototype.element = function () {
        return (React.createElement(createNewNotebookRowTemplate_1.CreateNewNotebookRowTemplate, null,
            React.createElement("div", { className: 'picker-label' },
                React.createElement("div", { className: 'picker-input-and-error' },
                    React.createElement("input", { className: 'create-input', type: 'text', placeholder: strings_1.Strings.get('Input.CreateNotebookPlaceholder'), autoComplete: 'off', value: this.notebookNameInputValue, onChange: this.onChangeBinded }),
                    React.createElement(errorIconWithPopover_1.ErrorIconWithPopover, { errorMessage: this.errorMessage }))),
            React.createElement("i", { className: 'picker-input-x ms-Icon ms-Icon--Clear', onClick: this.setInputToNotStarted })));
    };
    return CreateNewNotebookErrorRenderStrategy;
}(createNewNotebookCommonProperties_1.CreateNewNotebookCommonProperties));
exports.CreateNewNotebookErrorRenderStrategy = CreateNewNotebookErrorRenderStrategy;
//# sourceMappingURL=createNewNotebookErrorRenderStrategy.js.map