"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var addIcon_svg_1 = require("../icons/addIcon.svg");
var chevron_svg_1 = require("../icons/chevron.svg");
var strings_1 = require("../../strings");
var createNewNotebookCommonProperties_1 = require("./createNewNotebookCommonProperties");
var CreateNewNotebookNotStartedRenderStrategy = /** @class */ (function (_super) {
    __extends(CreateNewNotebookNotStartedRenderStrategy, _super);
    function CreateNewNotebookNotStartedRenderStrategy(onClick, callbacks) {
        var _this = _super.call(this) || this;
        _this.onClick = onClick;
        _this.callbacks = callbacks;
        _this.onClickBinded = _this.onClickNotebookInput.bind(_this);
        return _this;
    }
    CreateNewNotebookNotStartedRenderStrategy.prototype.element = function () {
        return (React.createElement("div", { className: 'notebook input-not-started' },
            React.createElement("div", { className: 'chevron-icon closed', style: { visibility: 'hidden' } },
                React.createElement(chevron_svg_1.ChevronSvg, null)),
            React.createElement("div", { className: 'picker-icon' },
                React.createElement(addIcon_svg_1.AddIconSvg, null)),
            React.createElement("div", { className: 'picker-label' },
                React.createElement("label", { className: 'create-label' }, strings_1.Strings.get('Label.CreateNotebook')))));
    };
    CreateNewNotebookNotStartedRenderStrategy.prototype.onClickNotebookInput = function () {
        var onNotebookInputSelected = this.callbacks.onNotebookInputSelected;
        if (!!onNotebookInputSelected) {
            onNotebookInputSelected();
        }
        this.onClick();
    };
    return CreateNewNotebookNotStartedRenderStrategy;
}(createNewNotebookCommonProperties_1.CreateNewNotebookCommonProperties));
exports.CreateNewNotebookNotStartedRenderStrategy = CreateNewNotebookNotStartedRenderStrategy;
//# sourceMappingURL=createNewNotebookNotStartedRenderStrategy.js.map