"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var strings_1 = require("../../strings");
var createNewSectionCommonProperties_1 = require("./createNewSectionCommonProperties");
var createNewSectionRowTemplate_1 = require("./createNewSectionRowTemplate");
var errorIconWithPopover_1 = require("../errorIconWithPopover");
var CreateNewSectionErrorRenderStrategy = /** @class */ (function (_super) {
    __extends(CreateNewSectionErrorRenderStrategy, _super);
    // We don't listen for enter as we assume that we want the user to change the name before
    // re-attempting the create
    function CreateNewSectionErrorRenderStrategy(parentId, errorMessage, sectionNameInputValue, onChangeBinded, setInputToNotStarted) {
        var _this = _super.call(this, parentId) || this;
        _this.errorMessage = errorMessage;
        _this.sectionNameInputValue = sectionNameInputValue;
        _this.onChangeBinded = onChangeBinded;
        _this.setInputToNotStarted = setInputToNotStarted;
        _this.onClickBinded = function () { };
        return _this;
    }
    CreateNewSectionErrorRenderStrategy.prototype.element = function () {
        return (React.createElement(createNewSectionRowTemplate_1.CreateNewSectionRowTemplate, null,
            React.createElement("div", { className: 'picker-label' },
                React.createElement("div", { className: 'picker-input-and-error' },
                    React.createElement("input", { className: 'create-input', type: 'text', placeholder: strings_1.Strings.get('Input.CreateSectionPlaceholder'), autoComplete: 'off', value: this.sectionNameInputValue, onChange: this.onChangeBinded }),
                    React.createElement(errorIconWithPopover_1.ErrorIconWithPopover, { errorMessage: this.errorMessage }))),
            React.createElement("i", { className: 'picker-input-x ms-Icon ms-Icon--Clear', onClick: this.setInputToNotStarted })));
    };
    return CreateNewSectionErrorRenderStrategy;
}(createNewSectionCommonProperties_1.CreateNewSectionCommonProperties));
exports.CreateNewSectionErrorRenderStrategy = CreateNewSectionErrorRenderStrategy;
//# sourceMappingURL=createNewSectionErrorRenderStrategy.js.map