"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var addIcon_svg_1 = require("../icons/addIcon.svg");
var strings_1 = require("../../strings");
var createNewSectionCommonProperties_1 = require("./createNewSectionCommonProperties");
var CreateNewSectionNotStartedRenderStrategy = /** @class */ (function (_super) {
    __extends(CreateNewSectionNotStartedRenderStrategy, _super);
    function CreateNewSectionNotStartedRenderStrategy(parentId, onClick, props) {
        var _this = _super.call(this, parentId) || this;
        _this.onClick = onClick;
        _this.props = props;
        _this.onClickBinded = _this.onClickSectionInput.bind(_this);
        return _this;
    }
    CreateNewSectionNotStartedRenderStrategy.prototype.element = function () {
        return (React.createElement("div", { className: 'section input-not-started' },
            React.createElement("div", { className: 'picker-icon' },
                React.createElement(addIcon_svg_1.AddIconSvg, null)),
            React.createElement("div", { className: 'picker-label' },
                React.createElement("label", { className: 'create-label' }, strings_1.Strings.get('Label.CreateSection')))));
    };
    CreateNewSectionNotStartedRenderStrategy.prototype.onClickSectionInput = function () {
        var onSectionInputSelected = this.props.callbacks.onSectionInputSelected;
        if (!!onSectionInputSelected) {
            onSectionInputSelected(this.props.parent, this.props.parentIsNotebook, '');
        }
        this.onClick();
    };
    return CreateNewSectionNotStartedRenderStrategy;
}(createNewSectionCommonProperties_1.CreateNewSectionCommonProperties));
exports.CreateNewSectionNotStartedRenderStrategy = CreateNewSectionNotStartedRenderStrategy;
//# sourceMappingURL=createNewSectionNotStartedRenderStrategy.js.map