/// <reference types="react" />
import * as React from 'react';
export interface ErrorIconWithPopoverProps {
    errorMessage: string | undefined;
}
export interface ErrorIconWithPopoverState {
    popoverIsOpen: boolean;
}
export declare class ErrorIconWithPopover extends React.Component<ErrorIconWithPopoverProps, ErrorIconWithPopoverState> {
    private wrapperRef;
    constructor(props: ErrorIconWithPopoverProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private handleClickOutside(event);
    private setWrapperRef(node);
    private scrollHandler();
    private keyUpHandler(event);
    private clickHandler();
    render(): JSX.Element;
    private shouldShowPopover();
}
