import { ExpandableNodeRenderStrategy } from './treeView/expandableNodeRenderStrategy';
import { Notebook } from '../oneNoteDataStructures/notebook';
import { InnerGlobals } from '../props/globalProps';
export declare class NotebookRenderStrategy implements ExpandableNodeRenderStrategy {
    private notebook;
    private globals;
    onClickBinded: () => void;
    onExpandBinded: any;
    constructor(notebook: Notebook, globals: InnerGlobals);
    element(): JSX.Element;
    getName(): string;
    getId(): string;
    getChildren(childrenLevel: number): JSX.Element[];
    isExpanded(): boolean;
    isSelected(): boolean;
    isAriaSelected(): boolean;
    expandNode(shouldExpand?: boolean): void;
    selectNode(): void;
    private breadcrumbs();
    private onClick();
    private onChevronClick();
    private onExpand();
}
