"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var chevron_svg_1 = require("../icons/chevron.svg");
var recentSectionsIcon_svg_1 = require("../icons/recentSectionsIcon.svg");
var RecentSectionHeaderComponent = /** @class */ (function (_super) {
    __extends(RecentSectionHeaderComponent, _super);
    function RecentSectionHeaderComponent(props) {
        var _this = _super.call(this, props) || this;
        _this.props = props;
        return _this;
    }
    RecentSectionHeaderComponent.prototype.render = function () {
        return (React.createElement("div", { className: this.props.selected ? 'picker-selectedItem recent-sections' : 'recent-sections', onClick: this.onClick.bind(this), title: 'recent-sections' },
            React.createElement("div", { className: this.props.expanded ? 'chevron-icon opened' : 'chevron-icon closed' },
                React.createElement(chevron_svg_1.ChevronSvg, null)),
            React.createElement("div", { className: 'picker-icon' },
                React.createElement(recentSectionsIcon_svg_1.RecentSectionsIconSvg, null)),
            React.createElement("div", { className: 'picker-label' },
                React.createElement("label", { style: { fontWeight: 500, color: '#3c3c3c' } }, this.props.name))));
    };
    RecentSectionHeaderComponent.prototype.onClick = function () {
        this.props.onRecentSectionsClick(!this.props.expanded);
    };
    return RecentSectionHeaderComponent;
}(React.Component));
exports.RecentSectionHeaderComponent = RecentSectionHeaderComponent;
//# sourceMappingURL=recentSectionHeaderComponent.js.map