import { RecentSectionsCommonProperties } from './recentSectionsCommonProperties';
import { ExpandableNodeRenderStrategy } from '../treeView/expandableNodeRenderStrategy';
import { InnerGlobals } from '../../props/globalProps';
import { Section } from '../../oneNoteDataStructures/section';
export declare class RecentSectionHeaderRenderStrategy extends RecentSectionsCommonProperties implements ExpandableNodeRenderStrategy {
    private sections;
    private expanded;
    private props;
    private onRecentSectionsClick;
    onClickBinded: () => void;
    onExpandBinded: () => void;
    onCollapseBinded: () => void;
    constructor(sections: Section[], expanded: boolean, props: InnerGlobals, onRecentSectionsClick: (expanded: boolean) => void);
    element(): JSX.Element;
    getChildren(childrenLevel: number): JSX.Element[];
    isExpanded(): boolean;
    isSelected(): boolean;
    isAriaSelected(): boolean;
    getId(): string;
}
