/// <reference types="react" />
import * as React from 'react';
import { Section } from '../../oneNoteDataStructures/section';
import { CommonNodeProps } from '../treeView/commonNodeProps';
import { ExpandableNodeRenderStrategy } from '../treeView/expandableNodeRenderStrategy';
export interface RecentSectionsNodeProps extends CommonNodeProps {
    sections: Section[];
    expanded?: boolean;
    node: ExpandableNodeRenderStrategy;
    onRecentSectionsClick: (expanded: boolean) => void;
}
/**
 * Presentation component that extends the 'Create' UX with notebook-specific
 * UI.
 */
export declare class RecentSectionsNode extends React.Component<RecentSectionsNodeProps> {
    render(): JSX.Element;
    isExpanded(): boolean;
}
