"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var expandableNode_1 = require("../treeView/expandableNode");
var recentSectionHeaderComponent_1 = require("./recentSectionHeaderComponent");
/**
 * Presentation component that extends the 'Create' UX with notebook-specific
 * UI.
 */
var RecentSectionsNode = /** @class */ (function (_super) {
    __extends(RecentSectionsNode, _super);
    function RecentSectionsNode() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RecentSectionsNode.prototype.render = function () {
        return (React.createElement(expandableNode_1.ExpandableNode, { globals: this.props.globals, expanded: this.isExpanded(), node: this.props.node, treeViewId: this.props.treeViewId, id: this.props.id, tabbable: this.props.tabbable, focusOnMount: this.props.focusOnMount, ariaSelected: this.props.ariaSelected },
            React.createElement(recentSectionHeaderComponent_1.RecentSectionHeaderComponent, __assign({ selected: this.props.node.isSelected(), expanded: this.isExpanded(), name: this.props.node.getName() }, this.props, { onRecentSectionsClick: this.props.onRecentSectionsClick }))));
    };
    RecentSectionsNode.prototype.isExpanded = function () {
        return !!this.props.expanded;
    };
    return RecentSectionsNode;
}(React.Component));
exports.RecentSectionsNode = RecentSectionsNode;
//# sourceMappingURL=recentSectionsNode.js.map