import { ExpandableNodeRenderStrategy } from './treeView/expandableNodeRenderStrategy';
import { Section } from '../oneNoteDataStructures/section';
import { InnerGlobals } from '../props/globalProps';
export declare class SectionRenderStrategy implements ExpandableNodeRenderStrategy {
    private section;
    private globals;
    onClickBinded: any;
    constructor(section: Section, globals: InnerGlobals);
    element(): JSX.Element;
    getName(): string;
    getId(): string;
    getChildren(childrenLevel: number): JSX.Element[];
    isExpanded(): boolean;
    isSelected(): boolean;
    isAriaSelected(): boolean;
    private onClick();
}
