"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var strings_1 = require("./strings");
/**
 * Wrapper component that sets localized strings.
 */
var LocalizedComponent = /** @class */ (function (_super) {
    __extends(LocalizedComponent, _super);
    function LocalizedComponent(props) {
        var _this = _super.call(this, props) || this;
        strings_1.Strings.setOverrides(props.stringOverrides);
        return _this;
    }
    LocalizedComponent.prototype.render = function () {
        return (React.createElement("div", null, this.props.children));
    };
    return LocalizedComponent;
}(React.Component));
exports.LocalizedComponent = LocalizedComponent;
//# sourceMappingURL=localizedComponent.js.map