import './index.css?raw';
import { OneNotePickerBase } from './oneNotePickerBase';
import { GlobalProps } from './props/globalProps';
import { Notebook } from './oneNoteDataStructures/notebook';
import { SharedNotebook } from './oneNoteDataStructures/sharedNotebook';
import { Section } from './oneNoteDataStructures/section';
export interface OneNotePickerProps extends GlobalProps {
    notebooks: Notebook[];
    sharedNotebooks?: SharedNotebook[];
    recentSections?: Section[];
}
export interface OneNotePickerState {
    recentSectionsExpanded: boolean;
}
export declare class OneNotePicker extends OneNotePickerBase<OneNotePickerProps, OneNotePickerState> {
    constructor(props: OneNotePickerProps);
    protected rootNodes(): JSX.Element[];
    private onRecentSectionsClick(expanded);
    private sortNotebooksByLastModifiedTime(notebook1, notebook2);
}
