/// <reference types="react" />
import * as React from 'react';
import { OneNoteSingleNotebookPickerProps } from './oneNoteSingleNotebookPicker';
export interface OneNoteSingleNotebookDropdownState {
    popupVisible: boolean;
}
export interface OneNoteSingleNotebookDropdownProps extends OneNoteSingleNotebookPickerProps {
    dropdownLabel: string;
    popupDirection: 'bottom' | 'top';
    popupContentOverride?: JSX.Element;
}
export declare class OneNoteSingleNotebookDropdown extends React.Component<OneNoteSingleNotebookDropdownProps, OneNoteSingleNotebookDropdownState> {
    private wrapperRef;
    constructor(props: OneNoteSingleNotebookDropdownProps);
    onClick(): void;
    onPickerItemClicked(): void;
    private setWrapperRef(node);
    private handleClickOutside(event);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
