/// <reference types="react" />
import * as React from 'react';
import { NodeRenderStrategy } from '../treeView/nodeRenderStrategy';
import { CreateNewNotebookCommonProperties } from './createNewNotebookCommonProperties';
export declare class CreateNewNotebookErrorRenderStrategy extends CreateNewNotebookCommonProperties implements NodeRenderStrategy {
    private errorMessage;
    private notebookNameInputValue;
    private onChangeBinded;
    private setInputToNotStarted;
    onClickBinded: () => void;
    constructor(errorMessage: string, notebookNameInputValue: string, onChangeBinded: (event: React.ChangeEvent<HTMLInputElement>) => void, setInputToNotStarted: () => void);
    element(): JSX.Element;
}
