/// <reference types="react" />
import * as React from 'react';
import { NodeRenderStrategy } from '../treeView/nodeRenderStrategy';
import { CreateNewNotebookCommonProperties } from './createNewNotebookCommonProperties';
import { CreateNewNotebookNodeProps } from './createNewNotebookNode';
export declare class CreateNewNotebookInputRenderStrategy extends CreateNewNotebookCommonProperties implements NodeRenderStrategy {
    private notebookNameInputValue;
    private props;
    private onEnterBinded;
    private onChangeBinded;
    private inputRefBinded;
    private setInputToNotStarted;
    onClickBinded: any;
    constructor(notebookNameInputValue: string, props: CreateNewNotebookNodeProps, onEnterBinded: (event) => void, onChangeBinded: (event: React.ChangeEvent<HTMLInputElement>) => void, inputRefBinded: (node: HTMLInputElement) => void, setInputToNotStarted: () => void);
    element(): JSX.Element;
    private errorIfExists();
    private onKeyPress(event);
    private onInputChange(event);
    private onClick();
}
