/// <reference types="react" />
import * as React from 'react';
import { InnerGlobals } from '../../props/globalProps';
export interface CreateNewNotebookNodeProps extends InnerGlobals {
    level: number;
    tabbable: boolean;
}
/**
 * Presentation component that extends the 'Create' UX with notebook-specific
 * UI.
 */
export declare class CreateNewNotebookNode extends React.Component<CreateNewNotebookNodeProps, {}> {
    constructor(props: CreateNewNotebookNodeProps);
    private notStartedRenderStrategy(onClick);
    private inputRenderStrategy(inputValue, onEnter, onInputChange, setInputRefAndFocus, setInputToNotStarted);
    private createErrorRenderStrategy(errorMessage, inputValue, onInputChange, setInputToNotStarted);
    private inProgressRenderStrategy(inputValue);
    private createNotebook(name);
    render(): JSX.Element;
}
