/// <reference types="react" />
import * as React from 'react';
import { NodeRenderStrategy } from '../treeView/nodeRenderStrategy';
import { CreateNewSectionCommonProperties } from './createNewSectionCommonProperties';
export declare class CreateNewSectionErrorRenderStrategy extends CreateNewSectionCommonProperties implements NodeRenderStrategy {
    private errorMessage;
    private sectionNameInputValue;
    private onChangeBinded;
    private setInputToNotStarted;
    onClickBinded: () => void;
    constructor(parentId: string, errorMessage: string, sectionNameInputValue: string, onChangeBinded: (event: React.ChangeEvent<HTMLInputElement>) => void, setInputToNotStarted: () => void);
    element(): JSX.Element;
}
