/// <reference types="react" />
import * as React from 'react';
import { NodeRenderStrategy } from '../treeView/nodeRenderStrategy';
import { CreateNewSectionCommonProperties } from './createNewSectionCommonProperties';
import { CreateNewSectionNodeProps } from './createNewSectionNode';
export declare class CreateNewSectionInputRenderStrategy extends CreateNewSectionCommonProperties implements NodeRenderStrategy {
    private notebookNameInputValue;
    private props;
    private onEnterBinded;
    private onChangeBinded;
    private inputRefBinded;
    private setInputToNotStarted;
    onClickBinded: any;
    constructor(parentId: string, notebookNameInputValue: string, props: CreateNewSectionNodeProps, onEnterBinded: (event) => void, onChangeBinded: (event: React.ChangeEvent<HTMLInputElement>) => void, inputRefBinded: (node: HTMLInputElement) => void, setInputToNotStarted: () => void);
    element(): JSX.Element;
    private errorIfExists();
    private onKeyPress(event);
    private onInputChange(event);
    private onClick();
}
