import { ExpandableNodeRenderStrategy } from './treeView/expandableNodeRenderStrategy';
import { SectionGroup } from '../oneNoteDataStructures/sectionGroup';
import { InnerGlobals } from '../props/globalProps';
export declare class SectionGroupRenderStrategy implements ExpandableNodeRenderStrategy {
    private sectionGroup;
    private globals;
    onClickBinded: any;
    constructor(sectionGroup: SectionGroup, globals: InnerGlobals);
    element(): JSX.Element;
    getName(): string;
    getId(): string;
    getChildren(childrenLevel: number): JSX.Element[];
    isExpanded(): boolean;
    isSelected(): boolean;
    isAriaSelected(): boolean;
    expandNode(shouldExpand?: boolean): void;
    selectNode(): void;
    private onClick();
}
