import { ExpandableNodeRenderStrategy } from './treeView/expandableNodeRenderStrategy';
import { SharedNotebook } from '../oneNoteDataStructures/sharedNotebook';
import { InnerGlobals } from '../props/globalProps';
export declare class SharedNotebookRenderStrategy implements ExpandableNodeRenderStrategy {
    private notebook;
    private globals;
    onClickBinded: () => void;
    onExpandBinded: any;
    constructor(notebook: SharedNotebook, globals: InnerGlobals);
    element(): JSX.Element;
    getId(): string;
    getName(): string;
    getChildren(childrenLevel: number): JSX.Element[];
    isExpanded(): boolean;
    isSelected(): boolean;
    isAriaSelected(): boolean;
    expandNode(shouldExpand?: boolean): void;
    selectNode(): void;
    private onClick();
    private onChevronClick();
    private onExpand();
    private breadcrumbs();
}
