/// <reference types="react" />
import * as React from 'react';
import { CommonNodeProps } from './commonNodeProps';
import { NodeRenderStrategy } from './nodeRenderStrategy';
export interface LeafNodeProps extends CommonNodeProps {
    node: NodeRenderStrategy;
}
export declare class LeafNode extends React.Component<LeafNodeProps, {}> {
    onClick(): void;
    onKeyDown(event: KeyboardEvent): void;
    componentDidMount(): void;
    private level();
    private descendentId();
    render(): JSX.Element;
}
