"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("./index.css?raw");
var constants_1 = require("./constants");
var strings_1 = require("./strings");
var localizedComponent_1 = require("./localizedComponent");
var OneNotePickerBase = /** @class */ (function (_super) {
    __extends(OneNotePickerBase, _super);
    function OneNotePickerBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OneNotePickerBase.prototype.treeViewId = function () {
        return constants_1.Constants.TreeView.id;
    };
    OneNotePickerBase.prototype.activeDescendentId = function () {
        if (!this.props.globals.ariaSelectedId) {
            return '';
        }
        return this.treeViewId() + this.props.globals.ariaSelectedId;
    };
    OneNotePickerBase.prototype.render = function () {
        return (React.createElement(localizedComponent_1.LocalizedComponent, { stringOverrides: this.props.globals.strings },
            React.createElement("div", { className: 'onenote-picker ms-fontColor-themePrimary' },
                React.createElement("ul", { role: 'tree', "aria-label": strings_1.Strings.get('Accessibility.PickerTableName'), className: 'menu-list picker-list-header', "aria-activedescendant": this.activeDescendentId() }, this.rootNodes()))));
    };
    return OneNotePickerBase;
}(React.Component));
exports.OneNotePickerBase = OneNotePickerBase;
//# sourceMappingURL=oneNotePickerBase.js.map